org.activiti.engine.repository

## Interface DeploymentBuilder

-     public interface DeploymentBuilder

  Builder for creating new deployments. A builder instance can be obtained through `RepositoryService.createDeployment()`. Multiple resources can be added to one deployment before calling the `deploy()` operation. After deploying, no more changes can be made to the returned deployment and the builder instance can be disposed.
  Author:
    Tom Baeyens, Joram Barrez

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeploymentBuilder` | `activateProcessDefinitionsOn(Date date)` Sets the date on which the process definitions contained in this deployment will be activated.
    `DeploymentBuilder` | `addBpmnModel(String resourceName, org.activiti.bpmn.model.BpmnModel bpmnModel)`
    `DeploymentBuilder` | `addClasspathResource(String resource)`
    `DeploymentBuilder` | `addInputStream(String resourceName, InputStream inputStream)`
    `DeploymentBuilder` | `addString(String resourceName, String text)`
    `DeploymentBuilder` | `addZipInputStream(ZipInputStream zipInputStream)`
    `DeploymentBuilder` | `category(String category)` Gives the deployment the given category.
    `Deployment` | `deploy()` Deploys all provided sources to the Activiti engine.
    `DeploymentBuilder` | `disableBpmnValidation()` If called, no validation that the process definition is executable on the engine will be done against the process definition.
    `DeploymentBuilder` | `disableSchemaValidation()` If called, no XML schema validation against the BPMN 2.0 XSD.
    `DeploymentBuilder` | `enableDuplicateFiltering()` If set, this deployment will be compared to any previous deployment.
    `DeploymentBuilder` | `name(String name)` Gives the deployment the given name.
    `DeploymentBuilder` | `tenantId(String tenantId)` Gives the deployment the given tenant id.

- - ### Method Detail

    - #### addInputStream

          DeploymentBuilder addInputStream(String resourceName,
                                           InputStream inputStream)

    - #### addClasspathResource

          DeploymentBuilder addClasspathResource(String resource)

    - #### addString

          DeploymentBuilder addString(String resourceName,
                                      String text)

    - #### addZipInputStream

          DeploymentBuilder addZipInputStream(ZipInputStream zipInputStream)

    - #### addBpmnModel

          DeploymentBuilder addBpmnModel(String resourceName,
                                         org.activiti.bpmn.model.BpmnModel bpmnModel)

    - #### disableSchemaValidation

          DeploymentBuilder disableSchemaValidation()

      If called, no XML schema validation against the BPMN 2.0 XSD. Not recommended in general.

    - #### disableBpmnValidation

          DeploymentBuilder disableBpmnValidation()

      If called, no validation that the process definition is executable on the engine will be done against the process definition. Not recommended in general.

    - #### name

          DeploymentBuilder name(String name)

      Gives the deployment the given name.

    - #### category

          DeploymentBuilder category(String category)

      Gives the deployment the given category.

    - #### tenantId

          DeploymentBuilder tenantId(String tenantId)

      Gives the deployment the given tenant id.

    - #### enableDuplicateFiltering

          DeploymentBuilder enableDuplicateFiltering()

      If set, this deployment will be compared to any previous deployment. This means that every (non-generated) resource will be compared with the provided resources of this deployment.

    - #### activateProcessDefinitionsOn

          DeploymentBuilder activateProcessDefinitionsOn(Date date)

      Sets the date on which the process definitions contained in this deployment will be activated. This means that all process definitions will be deployed as usual, but they will be suspended from the start until the given activation date.

    - #### deploy

          Deployment deploy()

      Deploys all provided sources to the Activiti engine.

Copyright © 2016 Alfresco. All rights reserved.